/*
 *Header:
 *File: object.h (for C++)
 *Author: Noda Itsuki
 *Date: 1996/01/28
 *EndHeader:
 */

class Field ;

/*
 *===================================================================
 *Part: Ball class
 *===================================================================
 */
class Ball {
	public: 
		Display		*disp ;
		Window		ball ;
		short		pos_x ;					/* x-position */
		short		pos_y ;					/* y-position */
		double		length_magnify ;		/* length magnify */
		void		assign(void) ;
		void		set(short, short) ;
} ;


/*
 *===================================================================
 *Part: Player class
 *===================================================================
 */
class Player {
	public:
		Display		*disp ;
		Window		win ;
		Window		player ;
		short		ang ;					/* angle */
		short		pos_x ;					/* x-position */
		short		pos_y ;					/* y-position */
		short		prev_kind ;				/* prev kind (stand or kick) */
		Pixmap		pix ;					/* pixmap structure */
		Dimension	size ;					/* player size */
		double		length_magnify ;		/* length magnify */
		int			pfont_x ;				/* uniform num pos x */
		int			pfont_y ;				/* uniform num pos y */
		GC			fgh ;					/* for head */
		GC			fgh_g ;					/* for goalie head */
		GC			fgt ;					/* for tail */
		GC			fgs ;					/* for string */
		GC			bg ;					/* for background */
		char		name[128] ;				/* player name */
		char		unumstr[3] ;			/* unum string */
	
		void		assign(Side, Name, int, short) ;
		void		destroy(void) ;
		void		set(short, short, short, short, int) ;
} ;
